**`Swapnil Tamgadge`[NAME]** -NL- Resume Highlights: -NL- Present address: -NL-  Total experience is around 6.3 Yrs. -NL- 202 Gaurav Pride , Bhagwan Nagar , -NL-  Proficiency in Java and J2EE -NL- Wakad , Pune 411057. -NL- Programming. -NL-  Problem Solving Skills and willingness to learn -NL- Mobile: +91-**`9096456385`[PHONES_PHONE]** -NL- Email: **`swapnil.tamgadge1@gmail.com`[EMAILS_EMAIL]** -NL-  OCJP6 and CDAC certified. -NL- . -NL- **`CAREER OBJECTIVE`[SUMMARY_HEADING]** -NL- Seeking a position in an esteemed organization, which will provide me with an -NL- opportunity to demonstrate my development skills and enable me to contribute effectively -NL- in meeting organizational goals. -NL- **`ACADEMIC QUALIFICATION`[EDUCATION_HEADING]** -NL- ● **`B.E`[EDUCATION_DEGREE]**. (**`Electronics & Telecom`[EDUCATION_COURSE]**) from YCCE , Nagpur with 62.33% in 2011. -NL-  **`H.S.C`[EDUCATION_DEGREE]**. from Maharashtra state board with 72.33% in 2007. -NL-  **`S.S.C`[EDUCATION_DEGREE]**. from Maharashtra state board with 76.26% in 2005. -NL- . -NL- **`PROFESSIONAL SUMMARY`[OTHERS_HEADING]** -NL-  Currently working in **`GSLAB`[EMPLOYER_COMPANY_NAME]** Pune since Jan 2019 to till date as a **`Senior Software -NL- Engineer`[EMPLOYER_ROLE]**. -NL-  Worked in **`3DPLM Global Services`[EMPLOYER_ROLE]** Pune from March 2016 to Jan 2019. -NL-  Worked in Digital Group Infotech Pvt. Ltd. Pune from June 2013 to May 2016. -NL-  Around 6 years and 3 month of professional experience in software development, -NL- analysis, testing and maintenance in JAVA/J2EE technology. -NL-  Project development experience in wide range of technologies such as Core Java, -NL- J2EE, Junit, JDBC, JSP, Servlets, Spring, Spring AOP, Spring Boot, Spring -NL- Data JPA, Restful Web Services, Hibernate, Elasticsearch, Docker. -NL-  Good knowledge in framework and technologies such as Swagger, Maven, Gradle and -NL- Angular.js -NL-  Basic knowledge of Micro Services, Kafka. -NL-  Experience with mark-up languages and HTML, JSP. -NL-  Database Experience in MySQL, Oracle Server. -NL-  Knowledge of software configuration management tools as SVN, CVS and GIT. -NL-  Experience in agile scrum methodology of development. -NL-  Problem solving and technical skills coupled with confident decision making for -NL- enabling effective solutions. -NL- **`WORK EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- Present Company Name : **`GSLAB`[EMPLOYER_COMPANY_NAME]** (Jan 2019 to till date) -NL- 1. Project name : UMR -NL- Duration: Oct-2018 to May-2019 -NL- Java 11, Spring Boot 2.1.6, Elasticsearch, Slf4J, Gradle, Swagger, -NL- Technology : -NL- Minio, Clamav , Google Cloud Services ,Docker. -NL- IDE : Eclipse -NL- Repository : Bitbucket -NL- Server : Apache Tomcat 9 -NL- Role : API Development -NL- Description: -NL- UMR (Unified Media Repository) is a microservice that provides high performance -NL- object storage using SpringBoot for REST API and Minio. Retrieval and search capabilities -NL- designed to support a variety of media such as imagefiles, documents, spreadsheets, audio -NL- files, videofiles etc. -NL- Role: -NL-  Involved in requirement gathering and developing the application using an Agile -NL- Methodology development. -NL-  Developed Rest Web services. -NL-  Writing unit test cases using Mockito framework. -NL-  Involved in daily communication with client. -NL-  Worked on data structure designing. -NL-  Integrate and adopt other micro-services. -NL- 2. Project name : Alarming Service -NL- Duration: Jan-2019 to June-2019 -NL- Java 8, Spring Boot, Spring data JPA, Junit, Postgres, Slf4J, Gradle, -NL- Technology : -NL- GitHub, Docker . -NL- IDE : Eclipse -NL- Server : Apache Tomcat 9 -NL- Role : API Development -NL- Description: -NL- Alarming service is micro service exposes REST API to allow products or services to -NL- report the Error Events. The objective of Alarming service is to process the error events and -NL- evaluate if an alarm needs to generated. If Alarm needs to be generated, it will publish an -NL- Alarm to all configured destinations (SNMP or Kafka). -NL- Role: -NL-  Involved in requirement gathering and developing the application using an Agile -NL- Methodology development. -NL-  Involved in daily communication with client. -NL-  Developed Rest Web services. -NL-  Unit testing, bugfixing. -NL-  Integrate and adopt other micro-services. -NL- Previous Company Name: **`3DPLM Global Services`[EMPLOYER_COMPANY_NAME]** (June 2016 to March 2019) -NL- Project name : PSA-AMS -NL- Duration: Oct-2016 to March-2018 -NL- Client : PSA -NL- Java 8, Spring 4.3, Spring Security, Spring boot, Hibernate, Junit, -NL- Technology : Solr, LDAP, AngularJS 1.2, Bootstrap, MySQL, Log4J, Slf4J, Maven, -NL- Tomcat 8.0, GitHub -NL- IDE : STS -NL- Server : Apache Tomcat 8.0 -NL- Role : Rest Web service development and front end integration -NL- Description: -NL- The project is to customize the product enovia to maintain the lifecycle of -NL- automobile parts with different business scenario. It allows you to manage this information -NL- throughout the entire lifecycle of a product efficiently and cost-effectively from ideation, -NL- design and manufacture through service and disposal. -NL- Role: -NL-  Understanding the new requirements according to business scenarios and -NL- implementing the same. -NL-  Developed Rest Web services to provide data required for Catia (3D modeling tools). -NL-  Worked on performance improvement and code optimization. -NL-  Validating andfixing the bugs for already developed rest APIs. -NL- Previous Company Name: **`The Digital Group InfoTech`[EMPLOYER_COMPANY_NAME]** (July 2013 to May 2016) -NL- **`The Digital Group InfoTech`[EMPLOYER_COMPANY_NAME]** is a premier provider of information technology services with -NL- extensive expertise in all facets of software development. -NL- 1. Project : Ovid-WS -NL- Duration: June-2013 to May-2016 -NL- Client : Wolters Kluwer -NL- Core Java, Servlets, JSP, Spring3.0, REST Web-Service, -NL- Technology : -NL- JavaScript, JSTL, SVN -NL- IDE : Eclipse -NL- Server : Apache Tomcat 7.0 -NL- Role : Developer -NL- Description: -NL- Project is based on Medical Domain made for Medical researchers, Universities, -NL- doctors, students. It’s a web service. OvidWS is a java web service written in REST style -NL- through which clients can access Ovid medical content. Users request URLs are matched -NL- and appropriate resources are called and returns content in XHTML. -NL- Role: -NL-  Developing Rest APIs with Jersey framework, bugfixing issues, Unit testing. -NL-  Enhancing existing applications. -NL-  Analyzing the system andfinding scope for improvements. -NL-  Interacting with client and other teams to solve various issues. -NL- **`PERSONAL INFORMATION`[PERSONAL_DETAILS_HEADING]** -NL- Name : Swapnil G Tamgadge -NL- Date of Birth : 8th May 1990 -NL- Marital Status : Married -NL- Gender : Male -NL- Nationality : Indian -NL- 